Increment major version due to API change. #424

wants to merge 1 commit into


None yet
2 participants

The new auth API changes are not backwards compatible, which I discovered trying to use the current master README against the 2.12 release.

Semantic Versioning demains that backwards incompatible changes result in a new major version. You might not be currently applying semantic versioning to this project, but I would strongly recommend it.

Alternatively, you could patch the code to continue to accept "user:pass" string as auth parameters. In this case you would only need to increment the minor version to 2.13, to indicate the presence of the new "auth" api.

Version bump
Auth changes are not API backwards compatible; SemVer demands major version bump.

This comment has been minimized.

Show comment Hide comment

mikeal Mar 1, 2013


this doesn't merge cleanly, please reopen when it does.


mikeal commented Mar 1, 2013

this doesn't merge cleanly, please reopen when it does.

@mikeal mikeal closed this Mar 1, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment